# Generated from oauth-active-resource-0.4.7.gem by gem2rpm -*- rpm-spec -*-
%global gemname oauth-active-resource

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global testdir %{_tmppath}/%{gemname}-%{version}
%global rubyabi 1.8

Summary: An OAuth enabled ActiveResource wrapper
Name: rubygem-%{gemname}
Version: 0.4.7
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/jwagener/oauth-active-resource
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
# This patch adapts specs to rspec-core 2.x and comments out lines, that cause the tests to fail.
# See https://github.com/jwagener/oauth-active-resource/pull/1
Patch0: test_patch_rspec2_and_failure_fix.patch
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: ruby 
Requires: rubygem(oauth) >= 0.3.6
Requires: rubygem(activeresource)
Requires: rubygem(multipart)
Requires: rubygem(multipart-post)
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(multipart)
BuildRequires: rubygem(multipart-post)
BuildRequires: rubygem(activeresource)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: rubygem(oauth) >= 0.3.6
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
An OAuth enabled ActiveResource wrapper.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}
%patch0

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/


%check
pushd .%{geminstdir}
rspec spec/
popd


%files
%exclude %{geminstdir}/.document
%exclude %{geminstdir}/.gitignore
%doc %{geminstdir}/LICENSE
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{geminstdir}/doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/VERSION.yml
%doc %{geminstdir}/README.rdoc
%{geminstdir}/oauth-active-resource.gemspec
%{geminstdir}/Rakefile
%{geminstdir}/spec

%changelog
* Fri Oct 14 2011 bkabrda <bkabrda@redhat.com> - 0.4.7-2
- gemspec file is no longer marked as doc
- Added rubygem(oauth) to BuildRequires.

* Mon Sep 12 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.7-1
- Initial package
